using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Reflection;
using System.Runtime.InteropServices.Expando;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using Outlook = Microsoft.Office.Interop.Outlook;

namespace HtmlJsAddin
{
    public partial class InspectorBrowser : AddinExpress.OL.ADXOlForm
    {
        public InspectorBrowser()
        {
            InitializeComponent();
            Init();
        }

        public void Init()
        {
            Uri url = new Uri(this.GetType().Assembly.CodeBase);
            string dir = Path.GetDirectoryName(url.LocalPath);
            string htmlFilePath = "file:///" + Path.Combine(dir, "MailInspector.html");
            this.webBrowser.Navigate(htmlFilePath);
        }

        private void webBrowser_DocumentCompleted(object sender, WebBrowserDocumentCompletedEventArgs e)
        {
            var d = webBrowser.Document.DomDocument as mshtml.HTMLDocument;
            try
            {
                dynamic window = d.parentWindow;
                var windowEx = (IExpando)window;
                PropertyInfo p = windowEx.AddProperty("bhoModule");
                p.SetValue(windowEx, AddinExpress.MSO.ADXAddinModule.CurrentInstance, null);
            }
            catch (Exception ex)
            {
                System.Diagnostics.Debug.WriteLine("error adding ie script: " + ex.Message);
            }
        }
    }
}
